org.rrd4j.core.jrrd

## Class Header

- java.lang.Object
- - org.rrd4j.core.jrrd.Header

- All Implemented Interfaces:
    Constants

      public class Header
      extends Object
      implements Constants

  Instances of this class model the header section of an RRD file.
  Version:
    $Revision: 1.1 $

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `(package private) int` | `dsCount` Number of data sources
    `(package private) int` | `pdpStep`
    `(package private) int` | `rraCount` Number of archives within file
    `(package private) String` | `version`

    - ### Fields inherited from interface org.rrd4j.core.jrrd.Constants

      `CF_NAM_SIZE, COOKIE, DS_NAM_SIZE, DST_SIZE, LAST_DS_LEN, MAX_SUPPORTED_VERSION, SIZE_OF_DOUBLE, UNDEFINED_VERSION, UNDEFINED_VERSION_AS_INT, VERSION_WITH_LAST_UPDATE_SEC`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `Header(RRDFile file)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getDSCount()` Returns the number of `DataSource`s in the database.
    `int` | `getPDPStep()` Returns the primary data point interval in seconds.
    `int` | `getRRACount()` Returns the number of `Archive`s in the database.
    `String` | `getVersion()` Returns the version of the database.
    `int` | `getVersionAsInt()` Returns the version of the database as an integer.
    `String` | `toString()` Returns a summary the contents of this header.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Field Detail

    - #### dsCount

          final int dsCount

      Number of data sources

    - #### pdpStep

          final int pdpStep

    - #### rraCount

          final int rraCount

      Number of archives within file

    - #### version

          final String version

  - ### Constructor Detail

    - #### Header

          Header(RRDFile file)
          throws IOException

      Throws:
        `IOException`

  - ### Method Detail

    - #### getDSCount

          public int getDSCount()

      Returns the number of `DataSource`s in the database.
      Returns:
        the number of `DataSource`s in the database.

    - #### getPDPStep

          public int getPDPStep()

      Returns the primary data point interval in seconds.
      Returns:
        the primary data point interval in seconds.

    - #### getRRACount

          public int getRRACount()

      Returns the number of `Archive`s in the database.
      Returns:
        the number of `Archive`s in the database.

    - #### getVersion

          public String getVersion()

      Returns the version of the database.
      Returns:
        the version of the database.

    - #### getVersionAsInt

          public int getVersionAsInt()

      Returns the version of the database as an integer.
      Returns:
        the version of the database.

    - #### toString

          public String toString()

      Returns a summary the contents of this header.
      Overrides:
        `toString` in class `Object`
      Returns:
        a summary of the information contained in this header.